Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Valuetype_Adapter Class Reference

TAO_Valuetype_Adapter. More...

`#include <Valuetype_Adapter.h>`

Inheritance diagram for TAO_Valuetype_Adapter:

[legend]
Collaboration diagram for TAO_Valuetype_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Valuetype_Adapter (void)
virtual CORBA::Object_ptr | abstractbase_to_object (CORBA::AbstractBase_ptr p)=0
virtual CORBA::Boolean | stream_to_value (TAO_InputCDR &, CORBA::ValueBase *&)=0
virtual CORBA::Boolean | stream_to_abstract_base (TAO_InputCDR &, CORBA::AbstractBase_ptr &)=0
virtual CORBA::ULong | type_info_single (void) const=0
virtual int | vf_map_rebind (const char *, CORBA::ValueFactory &)=0
virtual int | vf_map_unbind (const char *)=0
virtual CORBA::ValueFactory | vf_map_find (const char *)=0

## Detailed Description

TAO_Valuetype_Adapter.

Class that adapts various functions involving the Valuetype, ValueFactory and AbstractInterface classes. This is a base class for the actual implementation in the TAO_Valuetype library.

## Constructor & Destructor Documentation

TAO_Valuetype_Adapter::~TAO_Valuetype_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual CORBA::Object_ptr TAO_Valuetype_Adapter::abstractbase_to_object | ( | CORBA::AbstractBase_ptr | p | ) | `[pure virtual]`

virtual CORBA::Boolean TAO_Valuetype_Adapter::stream_to_abstract_base | ( | TAO_InputCDR & | ,
|  | CORBA::AbstractBase_ptr & |
| ) | `[pure virtual]`

virtual CORBA::Boolean TAO_Valuetype_Adapter::stream_to_value | ( | TAO_InputCDR & | ,
|  | CORBA::ValueBase *& |
| ) | `[pure virtual]`

virtual CORBA::ULong TAO_Valuetype_Adapter::type_info_single | ( | void |  | ) | const`[pure virtual]`

virtual CORBA::ValueFactory TAO_Valuetype_Adapter::vf_map_find | ( | const char * |  | ) | `[pure virtual]`

virtual int TAO_Valuetype_Adapter::vf_map_rebind | ( | const char * | ,
|  | CORBA::ValueFactory & |
| ) | `[pure virtual]`

virtual int TAO_Valuetype_Adapter::vf_map_unbind | ( | const char * |  | ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- Valuetype_Adapter.h
- Valuetype_Adapter.cpp